task rediscoverte {
    String sample_id
    File fastq1
    File fastq2
    File salmon_index
    File r_annotation

    String disk_size
    String docker
    String cluster

    command <<<
	
        set -o pipefail
        set -e

        mkdir ./output/
        /software/Salmon-0.8.2_linux_x86_64/bin/salmon  quant  --seqBias  --gcBias  -i ${salmon_index}  -l ISR   -1 ${fastq1} -2 ${fastq2}  -p 28 -o Step_2_salmon_counts
        echo -e "sample\tquant_sf_path" > Step_3_metadata_for_rollup.tsv.txt
        echo -e "${sample_id}\tStep_2_salmon_counts/quant.sf" >> Step_3_metadata_for_rollup.tsv.txt
        cp -r ${r_annotation} ./
        cp /software/REdiscoverTE/a.Rdata ./
        /opt/conda/bin/Rscript /software/REdiscoverTE/rollup.R

    >>>
	
    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        Array[File] te_result=glob("./Step_4_rollup2/*.RDS")
    }

}


